# certi::fedparser Namespace Reference

## Functions
static pdCDebug | D ("FEDPARSER", __FILE__)
int | build (const char *filename, RootObject *root, bool verboseArg)
| Main function for parsing FED file.
void | indent ()
void | startFed ()
void | endFed ()
void | addFederation ()
void | addFedVersion ()
void | startSpaces ()
void | end ()
void | startObjects ()
void | startInteractions ()
void | startFederate ()
void | endFederate ()
void | startObject ()
void | addObjectSecLevel (string name)
void | addAttribute ()
void | endObject ()
void | startInteraction ()
void | addInteractionSecurityLevel ()
void | addObjectSecurityLevel ()
void | addParameter ()
void | endInteraction ()
void | printOrder ()
void | printTransport ()
void | startSpace ()
void | endSpace ()
void | addDimension ()
## Variables
std::string | arg
OrderType | order
TransportType | transport
int | line_number
static RootObject * | root_object = 0
static bool | verbose = false
static int | indentation = 0
const char * | fed_filename
static std::list< ObjectClass * > | objects
static std::list< Interaction * > | interactions
static string | federate
static ObjectClassAttribute * | attribute
static Parameter * | parameter
static RoutingSpace | routing_space
static int | objectHandle = 1
static int | interactionHandle = 1
static int | attributeHandle = 1
static int | parameterHandle = 1
static int | spaceHandle = 1
static int | dimensionHandle = 1

## Function Documentation

void addAttribute | ( |  | ) |

Definition at line 278 of file fed.cc.

References arg, attribute, ObjectClassAttribute::getHandle(), indent(), objects, order, printOrder(), printTransport(), transport, and verbose.

Here is the call graph for this function:

void addDimension | ( |  | ) |

Definition at line 440 of file fed.cc.

References RoutingSpace::addDimension(), arg, dimensionHandle, Handled::getHandle(), indent(), routing_space, Named::setName(), and verbose.

Here is the call graph for this function:

void addFederation | ( |  | ) |

Definition at line 154 of file fed.cc.

References arg, indent(), and verbose.

Here is the call graph for this function:

void addFedVersion | ( |  | ) |

Definition at line 164 of file fed.cc.

References arg, indent(), and verbose.

Here is the call graph for this function:

void addInteractionSecurityLevel | ( |  | ) |

Definition at line 336 of file fed.cc.

References arg, RootObject::getSecurityLevelID(), indent(), interactions, root_object, and verbose.

Here is the call graph for this function:

void certi::fedparser::addObjectSecLevel | ( | string | name | ) |

Definition at line 266 of file fed.cc.

References RootObject::getSecurityLevelID(), indent(), objects, root_object, and verbose.

Here is the call graph for this function:

void addObjectSecurityLevel | ( |  | ) |

Definition at line 347 of file fed.cc.

References arg, RootObject::getSecurityLevelID(), indent(), objects, root_object, and verbose.

Here is the call graph for this function:

void addParameter | ( |  | ) |

Definition at line 359 of file fed.cc.

References arg, Parameter::getHandle(), indent(), interactions, parameter, parameterHandle, Parameter::setHandle(), Named::setName(), and verbose.

Here is the call graph for this function:

CERTI_EXPORT int build | ( | const char * | filename,
|  | RootObject * | root,
|  | bool | verboseArg |
| ) |  |  |

Main function for parsing FED file.

Parameters:

  `[in]` | filename | the FED file to be parsed
  `[out]` | the | RootObject to build during the FED file parse
  `[in]` | verboseArg,if | true the parsed element will printed on stdout.

Definition at line 87 of file fed.cc.

References attribute, attributeHandle, dimensionHandle, fed_filename, federate, indentation, interactionHandle, interactions, line_number, objectHandle, objects, parameter, parameterHandle, root_object, spaceHandle, verbose, yyin, yyparse(), and yyrestart().

Referenced by RTIA::chooseFederateProcessing(), and Federation::Federation().

Here is the call graph for this function:

static pdCDebug certi::fedparser::D | ( | "FEDPARSER" | ,
|  | __FILE__ |  |
| ) |  |  | `[static]`

void end | ( |  | ) |

Definition at line 185 of file fed.cc.

References indentation, and verbose.

Referenced by SocketServer::addToFDSet(), SocketServer::close(), FederationsList::destroyFederation(), FederationsList::exists(), SocketServer::getActiveSocket(), SecurityServer::getLevelIDWithName(), ObjectSet::getObject(), ObjectSet::getObjectInstanceHandle(), SocketServer::getWithReferences(), SocketServer::getWithSocket(), ObjectSet::killFederate(), ObjectSet::registerObjectInstance(), ObjectSet::requestObjectOwner(), FederationsList::searchFederation(), FederationsList::~FederationsList(), and ObjectSet::~ObjectSet().

void endFed | ( |  | ) |

Definition at line 144 of file fed.cc.

References indentation, and verbose.

void endFederate | ( |  | ) |

Definition at line 224 of file fed.cc.

References arg, federate, RootObject::getSecurityLevelID(), indent(), RootObject::registerFederate(), root_object, and verbose.

Here is the call graph for this function:

void endInteraction | ( |  | ) |

Definition at line 375 of file fed.cc.

References indentation, interactions, parameterHandle, and verbose.

void endObject | ( |  | ) |

Definition at line 297 of file fed.cc.

References attributeHandle, indentation, objects, and verbose.

void endSpace | ( |  | ) |

Definition at line 428 of file fed.cc.

References RootObject::addRoutingSpace(), indentation, root_object, routing_space, and verbose.

Here is the call graph for this function:

void indent | ( |  | ) |

Definition at line 121 of file fed.cc.

References indentation, and verbose.

Referenced by addAttribute(), addDimension(), addFederation(), addFedVersion(), addInteractionSecurityLevel(), addObjectSecLevel(), addObjectSecurityLevel(), addParameter(), endFederate(), startFed(), startInteraction(), startInteractions(), startObject(), startObjects(), startSpace(), and startSpaces().

void printOrder | ( |  | ) |

Definition at line 387 of file fed.cc.

References order, certi::RECEIVE, certi::TIMESTAMP, and verbose.

Referenced by addAttribute(), and startInteraction().

void printTransport | ( |  | ) |

Definition at line 399 of file fed.cc.

References certi::BEST_EFFORT, certi::RELIABLE, transport, and verbose.

Referenced by addAttribute(), and startInteraction().

void startFed | ( |  | ) |

Definition at line 133 of file fed.cc.

References indent(), indentation, and verbose.

Here is the call graph for this function:

void startFederate | ( |  | ) |

Definition at line 217 of file fed.cc.

References arg, and federate.

void startInteraction | ( |  | ) |

Definition at line 309 of file fed.cc.

References RootObject::addInteractionClass(), arg, Interaction::getHandle(), indent(), indentation, interactionHandle, interactions, order, printOrder(), printTransport(), root_object, transport, and verbose.

Here is the call graph for this function:

void startInteractions | ( |  | ) |

Definition at line 206 of file fed.cc.

References indent(), indentation, and verbose.

Here is the call graph for this function:

void startObject | ( |  | ) |

Definition at line 237 of file fed.cc.

References RootObject::addObjectClass(), arg, indent(), indentation, objectHandle, objects, root_object, and verbose.

Here is the call graph for this function:

void startObjects | ( |  | ) |

Definition at line 195 of file fed.cc.

References indent(), indentation, and verbose.

Here is the call graph for this function:

void startSpace | ( |  | ) |

Definition at line 411 of file fed.cc.

References arg, dimensionHandle, Handled::getHandle(), indent(), indentation, routing_space, Handled::setHandle(), Named::setName(), spaceHandle, and verbose.

Here is the call graph for this function:

void startSpaces | ( |  | ) |

Definition at line 174 of file fed.cc.

References indent(), indentation, and verbose.

Here is the call graph for this function:

## Variable Documentation

std::string arg

Referenced by addAttribute(), addDimension(), addFederation(), addFedVersion(), addInteractionSecurityLevel(), addObjectSecurityLevel(), addParameter(), endFederate(), startFederate(), startInteraction(), startObject(), and startSpace().

ObjectClassAttribute* attribute`[static]`

Definition at line 74 of file fed.cc.

Referenced by addAttribute(), build(), Message::getAttribute(), RTI::RTIambassador::getAttributeRoutingSpaceHandle(), DataDistribution::getAttributeSpace(), FederationsList::isOwner(), Federation::isOwner(), ObjectClass::publish(), Federation::queryAttributeOwnership(), DataDistribution::registerObject(), and FederationsList::searchOwner().

int attributeHandle = 1`[static]`

Definition at line 80 of file fed.cc.

Referenced by build(), and endObject().

int dimensionHandle = 1`[static]`

Definition at line 83 of file fed.cc.

Referenced by addDimension(), build(), and startSpace().

const char* fed_filename

Definition at line 66 of file fed.cc.

Referenced by build().

string federate`[static]`

Definition at line 73 of file fed.cc.

Referenced by FederationsList::acquire(), Federation::acquire(), FederationsList::acquireIfAvailable(), Federation::acquireIfAvailable(), FederationsList::addConstrained(), Federation::addConstrained(), FederationsList::addFederate(), Federation::addRegulator(), FederationsList::associateRegion(), Federation::associateRegion(), ObjectClass::broadcastClassMessage(), FederationsList::broadcastSynchronization(), Federation::broadcastSynchronization(), build(), FederationsList::cancelAcquisition(), Federation::cancelAcquisition(), FederationsList::cancelDivestiture(), Federation::cancelDivestiture(), RTIG::closeConnection(), FederationManagement::createFederationExecution(), FederationsList::createRegion(), Federation::createRegion(), FederationsList::createRegulator(), ObjectClassSet::deleteObject(), Federation::deleteObject(), FederationsList::deleteRegion(), Federation::deleteRegion(), FederationsList::destroyObject(), FederationsList::divest(), Federation::divest(), endFederate(), Federation::federateRestoreStatus(), Federation::federateSaveStatus(), Message::getFederate(), FederationsList::isOwner(), Federation::isOwner(), Federation::kill(), FederationsList::killFederate(), FederationsList::manageSynchronization(), FederationsList::modifyRegion(), Federation::modifyRegion(), FederationsList::negotiateDivestiture(), Federation::negotiateDivestiture(), RTIG::processJoinFederation(), FederationsList::publishInteraction(), Federation::publishInteraction(), FederationsList::publishObject(), Federation::publishObject(), Federation::queryAttributeOwnership(), ObjectClass::recursiveDiscovering(), FederationsList::registerObject(), Federation::registerObject(), FederationsList::registerObjectWithRegion(), Federation::registerObjectWithRegion(), Federation::registerSynchronization(), FederationsList::remove(), FederationsList::removeConstrained(), Federation::removeConstrained(), FederationsList::removeRegulator(), Federation::removeRegulator(), FederationsList::requestObjectOwner(), FederationsList::respondRelease(), Federation::respondRelease(), Federation::saveXmlData(), FederationsList::searchOwner(), FederationsList::setAttributeRelevanceAdvisorySwitch(), Federation::setAttributeRelevanceAdvisorySwitch(), FederationsList::setAttributeScopeAdvisorySwitch(), Federation::setAttributeScopeAdvisorySwitch(), FederationsList::setClassRelevanceAdvisorySwitch(), Federation::setClassRelevanceAdvisorySwitch(), FederationsList::setInteractionRelevanceAdvisorySwitch(), Federation::setInteractionRelevanceAdvisorySwitch(), startFederate(), ObjectClassSet::subscribe(), FederationsList::subscribeAttributesWR(), Federation::subscribeAttributesWR(), FederationsList::subscribeInteraction(), Federation::subscribeInteraction(), FederationsList::subscribeInteractionWR(), Federation::subscribeInteractionWR(), FederationsList::subscribeObject(), Federation::subscribeObject(), FederationsList::unassociateRegion(), Federation::unassociateRegion(), Federation::unregisterSynchronization(), FederationsList::unsetAttributeRelevanceAdvisorySwitch(), Federation::unsetAttributeRelevanceAdvisorySwitch(), FederationsList::unsetAttributeScopeAdvisorySwitch(), Federation::unsetAttributeScopeAdvisorySwitch(), FederationsList::unsetClassRelevanceAdvisorySwitch(), Federation::unsetClassRelevanceAdvisorySwitch(), FederationsList::unsetInteractionRelevanceAdvisorySwitch(), Federation::unsetInteractionRelevanceAdvisorySwitch(), FederationsList::unsubscribeAttributesWR(), Federation::unsubscribeAttributesWR(), FederationsList::unsubscribeInteractionWR(), Federation::unsubscribeInteractionWR(), FederationsList::updateAttribute(), ObjectClassSet::updateAttributeValues(), Federation::updateAttributeValues(), FederationsList::updateParameter(), FederationsList::updateRegulator(), and Federation::updateRegulator().

int indentation = 0`[static]`

Definition at line 65 of file fed.cc.

Referenced by build(), end(), endFed(), endInteraction(), endObject(), endSpace(), indent(), startFed(), startInteraction(), startInteractions(), startObject(), startObjects(), startSpace(), and startSpaces().

int interactionHandle = 1`[static]`

Definition at line 79 of file fed.cc.

Referenced by build(), and startInteraction().

std::list<Interaction *> interactions`[static]`

Definition at line 72 of file fed.cc.

Referenced by addInteractionSecurityLevel(), addParameter(), build(), endInteraction(), and startInteraction().

int line_number

Referenced by build().

int objectHandle = 1`[static]`

Definition at line 78 of file fed.cc.

Referenced by build(), and startObject().

std::list<ObjectClass *> objects`[static]`

Definition at line 69 of file fed.cc.

Referenced by addAttribute(), addObjectSecLevel(), addObjectSecurityLevel(), build(), endObject(), and startObject().

OrderType order

Referenced by addAttribute(), Message::getOrdering(), printOrder(), and startInteraction().

Parameter* parameter`[static]`

Definition at line 75 of file fed.cc.

Referenced by addParameter(), build(), and Message::getParameter().

int parameterHandle = 1`[static]`

Definition at line 81 of file fed.cc.

Referenced by addParameter(), build(), and endInteraction().

RootObject* root_object = 0`[static]`

Definition at line 63 of file fed.cc.

Referenced by addInteractionSecurityLevel(), addObjectSecLevel(), addObjectSecurityLevel(), build(), endFederate(), endSpace(), startInteraction(), and startObject().

RoutingSpace routing_space`[static]`

Definition at line 76 of file fed.cc.

Referenced by addDimension(), endSpace(), and startSpace().

int spaceHandle = 1`[static]`

Definition at line 82 of file fed.cc.

Referenced by build(), and startSpace().

TransportType transport

Referenced by addAttribute(), Message::getTransportation(), printTransport(), and startInteraction().

bool verbose = false`[static]`

Definition at line 64 of file fed.cc.

Referenced by addAttribute(), addDimension(), addFederation(), addFedVersion(), addInteractionSecurityLevel(), addObjectSecLevel(), addObjectSecurityLevel(), addParameter(), build(), end(), endFed(), endFederate(), endInteraction(), endObject(), endSpace(), indent(), printOrder(), printTransport(), startFed(), startInteraction(), startInteractions(), startObject(), startObjects(), startSpace(), and startSpaces().